=== debian/changelog ===
libflorist (2022.0.1~20220616-3) unstable; urgency=medium

  * Break/Replace libflorist*-dev since oldstable. Closes: #1035006 .

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:44:10 +0200

libflorist (2022.0.1~20220616-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:07:57 +0100

libflorist (2022.0.1~20220616-1) experimental; urgency=medium

  * Build new snapshot with gcc/12 for experimental.
    Rename -dev package accordingly.
  * Install with gprinstall and dh-ada-librar/8.1.
  * Stop build-depending on unversioned gnat.
  * Standards-Versions 4.6.1.
  * Refresh patches and forward changes

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 12 Sep 2022 08:51:35 +0000
