=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2003-2014 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

######################
# Set some variables #
######################

DPKG_EXPORT_BUILDFLAGS := 1
DEB_CFLAGS_MAINT_APPEND := -w
DEB_ADAFLAGS_MAINT_APPEND := -gnatVa -gnatafno
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

export florist_shared_object_version := $(florist_SO_VERSION)

%:
	dh $@

# Disable autoheader, upstream maintains the macros manually.
.PHONY: override_dh_autoreconf
override_dh_autoreconf:
	AUTOHEADER=true dh_autoreconf

.PHONY: $(addprefix override_dh_auto_, configure build test install)
# dh_auto_clean is OK.

override_dh_auto_configure:
	dh_auto_configure -- CC=gcc-$(DEB_GNAT_VERSION) --enable-shared

override_dh_auto_build:
 # dh_auto_build would pass -jN and interfer with gprbuild
	$(MAKE) 'GPRBUILD=gprbuild $(GPRBUILDFLAGS)'

override_dh_auto_install:
	gprinstall florist.gpr -XLIBRARY_TYPE=static $(static_GPRINSTALLFLAGS)
	gprinstall florist.gpr -XLIBRARY_TYPE=relocatable \
	  $(call shared_GPRINSTALLFLAGS,florist)
