=== debian/changelog ===
libflorist (2025.1.0-2build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:28 +0200

libflorist (2025.1.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 21:57:55 +0100

libflorist (2025.1.0-1) experimental; urgency=medium

  * New upstream snapshot (d28d09a6 in branch 25.1) built with gnat-14.
  * Fix (upstream/metadata) and use (gbp.conf) upstream VCS.
  * Enable salsa continuous integration via salsa-ci.yml.
  * Update copyright years.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 15:49:05 +0000

libflorist (2022.0.1~20220616-6) unstable; urgency=medium

  * Standards-Version 4.7.0 (no changes).
  * Let libflorist-dev depend on libnsl-dev.  Closes: #1067945.
  * Improve clean target.
  * Tolerate distinct suseconds_t and timeval.tv_usec.  Closes: #1067223.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 03 May 2024 12:26:59 +0000

libflorist (2022.0.1~20220616-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:19:42 +0100

libflorist (2022.0.1~20220616-4) experimental; urgency=medium

  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Use explicit debian/PACKAGE.docs files and test
    dependencies now that the -dev package is unversioned.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 03 Jan 2024 00:16:59 +0000
