=== debian/watch ===
version=4

# The Debian version starts with 20 for historical reasons.
options=uversionmangle=s/^/20/ \
https://github.com/AdaCore/florist/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
